[arch-commits] Commit in gmime/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Oct 11 15:48:55 EDT 2009


    Date: Sunday, October 11, 2009 @ 15:48:55
  Author: jgc
Revision: 54841

Merged revisions 54839 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/gmime/trunk

........
  r54839 | jgc | 2009-10-11 21:48:31 +0200 (Sun, 11 Oct 2009) | 1 line
  
  Merge gnome-unstable
........

Modified:
  gmime/repos/extra-x86_64/	(properties)
  gmime/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)


Property changes on: gmime/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /gmime/trunk:1-2432
   + /gmime/trunk:1-54840

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-10-11 19:48:32 UTC (rev 54840)
+++ extra-x86_64/PKGBUILD	2009-10-11 19:48:55 UTC (rev 54841)
@@ -3,29 +3,29 @@
 # Contributor: Ben <ben at benmazer.net>
 
 pkgname=gmime
-pkgver=2.2.21
+pkgver=2.4.10
 pkgrel=1
 pkgdesc="Core mime parsing library"
 arch=(i686 x86_64)
 license=('GPL')
 url="http://spruce.sourceforge.net/gmime/"
-depends=('glib2>=2.16.3' 'zlib')
-makedepends=('gtk-sharp-2>=2.12.0' 'pkgconfig')
+depends=('glib2>=2.22.2' 'zlib')
+makedepends=('gtk-sharp-2>=2.12.8' 'pkgconfig')
 options=('!libtool')
-source=(http://ftp.gnome.org/pub/GNOME/sources/${pkgname}/2.2/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('16acf7ed0287f4aae419ad71e737762f')
+source=(http://ftp.gnome.org/pub/GNOME/sources/${pkgname}/2.4/${pkgname}-${pkgver}.tar.bz2)
+sha256sums=('59c71aa8d0f06c66f863bc0462868237a770ce30d1402af2515235fa41db51ca')
 
 build() {
   # get rid of that .wapi errors in fakeroot
-  export MONO_SHARED_DIR="${startdir}/src/weird"
+  export MONO_SHARED_DIR="${srcdir}/weird"
   mkdir -p "${MONO_SHARED_DIR}"
 
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
 
   # These are gmime alternatives for the same shareutils tools
-  mv ${startdir}/pkg/usr/bin/uuencode ${startdir}/pkg/usr/bin/guuencode || return 1
-  mv ${startdir}/pkg/usr/bin/uudecode ${startdir}/pkg/usr/bin/guudecode || return 1
+  mv ${pkgdir}/usr/bin/uuencode ${pkgdir}/usr/bin/guuencode || return 1
+  mv ${pkgdir}/usr/bin/uudecode ${pkgdir}/usr/bin/guudecode || return 1
 }



More information about the arch-commits mailing list